Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1514057

Summary: Review Request: ghc-servant - A family of combinators for defining webservices APIs
Product: [Fedora] Fedora Reporter: David Shea <dshea>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 11:19:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1513173, 1513175, 1513609    
Bug Blocks: 1514103, 1514111, 1514164    

Description David Shea 2017-11-16 15:09:56 UTC
Spec URL: https://raw.githubusercontent.com/weldr/bdcs-copr/master/ghc-servant/ghc-servant.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/@weldr/bdcs-haskell-deps/fedora-27-x86_64/00662338-ghc-servant/ghc-servant-0.12-1.fc27.src.rpm
Description: A family of combinators for defining webservices APIs and serving them
Fedora Account System Username: dshea

Comment 2 Robert-André Mauchin 🐧 2017-11-16 19:45:07 UTC
Package accepted.

Comment 3 Gwyn Ciesla 2017-11-16 22:46:11 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-servant

Comment 4 Fedora Update System 2017-11-29 15:44:18 UTC
ghc-hspec-core-2.4.4-1.fc26 ghc-hspec-2.4.4-1.fc26 ghc-servant-0.12-1.fc26 ghc-servant-client-core-0.12-1.fc26 ghc-servant-server-0.12-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1e88ebe293

Comment 5 Fedora Update System 2017-11-30 16:05:37 UTC
ghc-wreq-0.5.1.0-1.fc27 ghc-tar-conduit-0.1.1-1.fc27 ghc-servant-server-0.12-1.fc27 ghc-servant-options-0.1.0.0-1.fc27 ghc-servant-foreign-0.10.2-1.fc27 ghc-servant-client-core-0.12-1.fc27 ghc-servant-client-0.12.0.1-1.fc27 ghc-servant-0.12-1.fc27 ghc-RSA-2.2.0-1.fc27 ghc-mono-traversable-1.0.2-1.fc27 ghc-lzma-conduit-1.1.3.3-1.fc27 ghc-hspec-core-2.4.4-1.fc27 ghc-hspec-2.4.4-1.fc27 ghc-haskell-gi-overloading-1.0-2.fc27 ghc-haskell-gi-0.20.3-1.fc27 ghc-gi-ostree-1.0.5-1.fc27 ghc-gi-gobject-2.0.15-1.fc27 ghc-gi-glib-2.0.14-1.fc27 ghc-gi-gio-2.0.14-1.fc27 ghc-content-store-0.2.0-1.fc27 ghc-conduit-combinators-1.1.1-1.fc27 ghc-codec-rpm-0.2.0-1.fc27 ghc-authenticate-oauth-1.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ab1fe26287

Comment 6 Fedora Update System 2017-12-02 19:54:14 UTC
ghc-RSA-2.2.0-1.fc27, ghc-authenticate-oauth-1.6-1.fc27, ghc-codec-rpm-0.2.0-1.fc27, ghc-conduit-combinators-1.1.1-1.fc27, ghc-content-store-0.2.0-1.fc27, ghc-gi-gio-2.0.14-1.fc27, ghc-gi-glib-2.0.14-1.fc27, ghc-gi-gobject-2.0.15-1.fc27, ghc-gi-ostree-1.0.5-1.fc27, ghc-haskell-gi-0.20.3-1.fc27, ghc-haskell-gi-overloading-1.0-2.fc27, ghc-hspec-2.4.4-1.fc27, ghc-hspec-core-2.4.4-1.fc27, ghc-lzma-conduit-1.1.3.3-1.fc27, ghc-mono-traversable-1.0.2-1.fc27, ghc-servant-0.12-1.fc27, ghc-servant-client-0.12.0.1-1.fc27, ghc-servant-client-core-0.12-1.fc27, ghc-servant-foreign-0.10.2-1.fc27, ghc-servant-options-0.1.0.0-1.fc27, ghc-servant-server-0.12-1.fc27, ghc-tar-conduit-0.1.1-1.fc27, ghc-wreq-0.5.1.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ab1fe26287

Comment 7 Fedora Update System 2017-12-02 22:38:39 UTC
ghc-hspec-2.4.4-1.fc26, ghc-hspec-core-2.4.4-1.fc26, ghc-servant-0.12-1.fc26, ghc-servant-client-core-0.12-1.fc26, ghc-servant-server-0.12-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1e88ebe293

Comment 8 Fedora Update System 2017-12-12 11:19:54 UTC
ghc-RSA-2.2.0-1.fc27, ghc-authenticate-oauth-1.6-1.fc27, ghc-codec-rpm-0.2.0-1.fc27, ghc-conduit-combinators-1.1.1-1.fc27, ghc-content-store-0.2.0-1.fc27, ghc-gi-gio-2.0.14-1.fc27, ghc-gi-glib-2.0.14-1.fc27, ghc-gi-gobject-2.0.15-1.fc27, ghc-gi-ostree-1.0.5-1.fc27, ghc-haskell-gi-0.20.3-1.fc27, ghc-haskell-gi-overloading-1.0-2.fc27, ghc-hspec-2.4.4-1.fc27, ghc-hspec-core-2.4.4-1.fc27, ghc-lzma-conduit-1.1.3.3-1.fc27, ghc-mono-traversable-1.0.2-1.fc27, ghc-servant-0.12-1.fc27, ghc-servant-client-0.12.0.1-1.fc27, ghc-servant-client-core-0.12-1.fc27, ghc-servant-foreign-0.10.2-1.fc27, ghc-servant-options-0.1.0.0-1.fc27, ghc-servant-server-0.12-1.fc27, ghc-tar-conduit-0.1.1-1.fc27, ghc-wreq-0.5.1.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-12-12 13:42:12 UTC
ghc-hspec-2.4.4-1.fc26, ghc-hspec-core-2.4.4-1.fc26, ghc-servant-0.12-1.fc26, ghc-servant-client-core-0.12-1.fc26, ghc-servant-server-0.12-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.